<?php

//---------------------------------------------
//load gallery settings
//---------------------------------------------
    
if (file_exists('gallery/3dgallery.xml'))
{
    $xml = simplexml_load_file('gallery/3dgallery.xml');
}
else
{
    die('settings file is missing');
}

// overwrite some attributes
$xml->Images['HoverRotationEnabled'] = 'true';
$xml->Images['HoverRotationSpeed'] = '16';
$xml->Images['HoverRotationRadians'] = '180';

//---------------------------------------------
//hardcoded sample entries
//---------------------------------------------

// load 20 images
for ($i = 0; $i < 20; $i++) {      
  $image[$i] = Array(
    'ImagePath' 			=>		'gallery/images/img'. (($i < 10) ? '0'.$i : $i) .'.png',
    'ImageLink'				=>		'http://www.3dcarousel.com',
    'ImageLinkTarget' =>		'_blank',
    'Content1'				=>		'Image'.$i,
    'Content2'				=>		''
    );
}

// static content 1
$static[0] = Array(
  'Attributes'  =>  Array(
          'HTML'          =>  'false',
          'AntiAliasing'  =>  'false',
          'Align'         =>  'left',
          'Bold'          =>  'false',
          'Italic'        =>  'false',
          'Font'          =>  'Verdana',
          'FontColor'     =>  '#333333',
          'FontSize'      =>  '12',
          'Leading'       =>  '0',
          'Underline'     =>  'false',
          'Left'          =>  '10',
          'Top'           =>  '220',
          'Width'         =>  '200',
          'Height'        =>  '30',
          'TopMost'       =>  'false',
          'BgColor'       =>  '',
          'Border'        =>  'false',
          'BorderColor'   =>  '#ffffff'
      ),
  'Content'     =>  'mediaANT 3D Gallery'
  );
  
  // static content 2
$static[1] = Array(
  'Attributes'  =>  Array(
          'HTML'          =>  'false',
          'AntiAliasing'  =>  'false',
          'Align'         =>  'left',
          'Bold'          =>  'false',
          'Italic'        =>  'false',
          'Font'          =>  'Verdana',
          'FontColor'     =>  '#333333',
          'FontSize'      =>  '12',
          'Leading'       =>  '0',
          'Underline'     =>  'false',
          'Left'          =>  '600',
          'Top'           =>  '220',
          'Width'         =>  '200',
          'Height'        =>  '30',
          'TopMost'       =>  'false',
          'BgColor'       =>  '',
          'Border'        =>  'false',
          'BorderColor'   =>  '#ffffff'
      ),
  'Content'     =>  'PHP Sample 1'
  );

// hardcoded sample entries - END

foreach ($image as $entry)
{
	$tag = $xml->Images->addChild('Image');
	foreach ($entry as $key => $value)
	{
		$tag->addChild($key, '<![CDATA['.htmlentities($value).']]>');
	}
}

foreach ($static as $entry)
{
	$tag = $xml->StaticContents->addChild('StaticContent');
	
	foreach ($entry['Attributes'] as $a_key => $a_value)
	{
    $tag->addAttribute($a_key, $a_value);
	}
	
	$tag->addChild('Content', '<![CDATA['.htmlentities($entry['Content']).']]>');
}

print_r(html_entity_decode($xml->asXML()));

?>